# $Revision: 1.66 $, $Date: 2002/11/21 22:17:09 $
Summary:	Debian's Advanced Packaging Tool with RPM support
Summary(pl):	Zawansowane narzdzie do zarzdzania pakietami
Summary(pt):	Frontend avanado para pacotes rpm e deb
Name:		apt
Version:	0.3.19cnc52
Release:	12
License:	GPL
Group:		Applications/Archiving
Source0:	ftp://ftp.conectiva.com/pub/conectiva/EXPERIMENTAL/apt/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}-sources.list
Source3:	vendors.list
Source4:	rpmpriorities
Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
Patch0:		%{name}-norequires.patch
Patch1:		%{name}-FHS.patch
Patch2:		%{name}-no_PARALLEL_RUN.patch
Patch3:		%{name}-ac_fixes.patch
Patch4:		%{name}-newmethods.patch
Patch5:		%{name}-pld_man.patch
Patch6:		%{name}-man_fixes.patch
Patch7:		%{name}-md5-cache-dir-option.patch
Patch8:		%{name}-es_it.patch
Patch9:		%{name}-filed.patch
URL:		http://bazar.conectiva.com.br/~godoy/apt-howto/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	db3-devel >= 3.1.17-3
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	popt-devel
BuildRequires:	rpm-devel >= 3.0.6-2
BuildRequires:	zlib-devel
Requires:	gnupg
Requires:	rpm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libapt-pkg

%description
A port of Debian's apt tools for RPM based distributions. It provides
the apt-get utility that provides a simpler, safer way to install and
upgrade packages. APT features complete installation ordering,
multiple source capability and several other unique features.

%description -l pl
Port debianowego narzdzia APT dla dystrybucji bazujcych na zarzdcy
pakietw RPM. APT dostarcza narzdzie apt-get, ktre umoliwia prost,
bezpieczn instalacj i aktualizacj pakietw. Moliwoci APT to wybr
kolejnoci instalacji, moliwo ustawienia kilku rde pakietw itp.

%description -l pt_BR
Um porte das ferramentas apt do Debian para distribuies baseadas no
RPM. Sob desenvolvimento, use por sua prpria conta e risco.

%package devel
Summary:	Development files for APT's libapt-pkg
Summary(pl):	Pliki nagwkowe dla libapt-pkg
Summary(pt):	Arquivos de desenvolvimento para a biblioteca libapt-pkg do APT
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	rpm-devel
Obsoletes:	libapt-pkg-devel
Obsoletes:	libapt-pkg-static

%description devel
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%description devel -l es
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%description devel -l pl
Pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
korzystajcych z biblioteki libapt-pkg.

%description devel -l pt_BR
Arquivos de desenvolvimento para a biblioteca libapt-pkg do APT

%prep
%setup -q -a5
%patch0 -p1
tar xzf docs.tar.gz
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1

mkdir docs/{pl,pt_BR}
rm -f po/{POTFILES,Makefile}

%build
mv po/es_ES.po po/es.po
mv po/it_IT.po po/it.po
%{__aclocal} -I buildlib
%{__autoconf}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--enable-nls \
	--with-gpm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/cache/apt/archives/partial \
	$RPM_BUILD_ROOT/var/lib/apt/lists/partial \
	$RPM_BUILD_ROOT{%{_includedir}/apt-pkg,%{_libdir}/apt} \
	$RPM_BUILD_ROOT{%{_mandir}/{,pl/,pt_BR/}man{5,8},%{_bindir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/apt

install bin/libapt-pkg.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
cp -f bin/libapt-pkg.so $RPM_BUILD_ROOT%{_libdir}

install bin/{apt-{get,cache,config,cdrom},genpkglist,gensrclist} \
	tools/genbasedir $RPM_BUILD_ROOT%{_bindir}

install apt-pkg/{*.h,*/*.h} $RPM_BUILD_ROOT%{_includedir}/apt-pkg

for a in "" pl pt_BR ; do
	if ls doc/$a/*.5 >/dev/null 2>&1 ; then
		install doc/$a/*.5 $RPM_BUILD_ROOT/%{_mandir}/$a/man5
	fi
	install doc/$a/*.8 $RPM_BUILD_ROOT/%{_mandir}/$a/man8
done

install  bin/methods/* $RPM_BUILD_ROOT%{_libdir}/apt

install %{SOURCE1}   	$RPM_BUILD_ROOT%{_sysconfdir}/apt/apt.conf
install %{SOURCE3}   	$RPM_BUILD_ROOT%{_sysconfdir}/apt/vendors.list
install %{SOURCE4}	$RPM_BUILD_ROOT%{_sysconfdir}/apt/rpmpriorities
# bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

sed -e s/@ARCH@/%{_target_cpu}/ %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/apt/sources.list

cd po; make install DESTDIR=$RPM_BUILD_ROOT; cd ..

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*.text docs/examples/* README.RPM TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/apt
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/apt/apt.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/apt/sources.list
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/apt/vendors.list
%config %{_sysconfdir}/apt/rpmpriorities
%dir %{_libdir}/apt
%attr(755,root,root) %{_libdir}/apt/*
%{_mandir}/man[58]/*
%lang(pl) %{_mandir}/pl/man8/*
%lang(pt) %{_mandir}/pt_BR/man[58]/*
/var/cache/apt
/var/lib/apt
%attr(755,root,root) %{_libdir}/libapt-pkg.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libapt-pkg.so
%{_includedir}/apt-pkg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apt.spec,v $
Revision 1.66  2002/11/21 22:17:09  kloczek
- release 12: new apt-sources.list default configuration file:
-- uncommented base and updates-security repository,
-- added commented updates-general repository.

Revision 1.65  2002/10/18 09:12:50  ankry
- fixed "filled" misspelling (patch9)
- fixed build by separating DEVEL version in cvs (so rel. still 11)
STBR for ra

Revision 1.64  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new
  %%doc

Revision 1.63  2002/08/29 10:59:21  blues
- release 11 - new doc, removed stat from priorities

Revision 1.62  2002/05/28 09:15:22  blues
- apt requires rpm, of course...

Revision 1.61  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.60  2002/05/19 22:12:48  ankry
- moved messages file ftom es_ES/ to es/
- release 10

Revision 1.59  2002/04/25 15:47:38  arturs
fixed a small typo

Revision 1.58  2002/04/24 14:12:00  marcus
- addedd apt-md5-cache-dir-option.patch (thanks to <malekith@pld.org.pl>)
- rel.9.

Revision 1.57  2002/04/05 10:43:34  ankry
- fixed man-pages (pl, pt_BR)
- release 8, stbr

Revision 1.56  2002/04/03 16:16:09  kloczek
- relase 7: include in vendors.list config file PLD GPG key fingerprint.

Revision 1.55  2002/03/20 21:51:19  kloczek
- release 6: added updates directory to default sources.list.

Revision 1.54  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/10 01:11:11  blues
- adapterized

Revision 1.51  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.50  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/11/28 23:51:22  ankry
- added patch with typos/formatting man fixes (patch6)
- updated pl man translations
- release 5

Revision 1.48  2001/11/27 01:11:55  ankry
- converted two pl man pages to RPM based apt version
- use make for pl man instalation
- fixed pt_BR man install
- fixed paths for PLD in en/pt_BR man pages (Patch5)
- release 4

Revision 1.47  2001/11/26 14:31:50  ankry
- added pl man pages

Revision 1.46  2001/10/30 04:10:44  kloczek
- release 3.

Revision 1.45  2001/10/28 08:52:46  grzegorz
- added %%verify(not size mtime md5) to %%{_sysconfdir}/apt/apt.conf,
  %%{_sysconfdir}/apt/sources.list and %%{_sysconfdir}/apt/vendors.list

Revision 1.44  2001/10/11 03:47:30  kloczek
- release 2,
- spec adapterized,
- pass -fno-rtti -fno-exceptions to CXXFLAGS (duh .. output package size
  now ~25% smaller !!).

Revision 1.43  2001/10/10 14:53:21  qboosh
- BuildRequires: automake

Revision 1.42  2001/09/17 11:30:53  qboosh
- removed English "es" summaries

Revision 1.41  2001/09/11 21:03:53  misiek
- fix IPv6 support for ftp

Revision 1.40  2001/08/15 13:26:47  kloczek
- added no_PARALLEL_RUN and ac_fixes patches (now apt build correctly).

Revision 1.39  2001/08/14 23:16:39  kloczek
- updated to 0.3.19cnc52.

Revision 1.38  2001/08/14 22:24:30  qboosh
- FHS 2.1/2.2: use /var/lib not /var/state (FHS patch)
- release 3

Revision 1.37  2001/07/11 20:23:52  qboosh
- release 2: run autoconf (needed with new %%configure macro)

Revision 1.36  2001/07/03 12:28:54  wiget
cnc50

Revision 1.35  2001/06/22 11:33:35  misiek
- updated to cnc46

Revision 1.34  2001/06/16 15:44:52  kloczek
- updated to 0.3.19cnc45,
- insert %%{_target_cpu} into paths in sources.list.

Revision 1.33  2001/06/13 22:03:50  misiek
- and again... cnc44 this time

Revision 1.32  2001/06/13 21:38:28  misiek
- updated to cnc39

Revision 1.31  2001/04/27 14:03:30  kloczek
- typo.

Revision 1.30  2001/04/27 11:52:44  kloczek
- fixed Group in devel.

Revision 1.29  2001/04/27 09:53:12  kloczek
- relase 4,
- spec adapterized,
- added pld_user_in_ftp_pass patch for pass in ftp anonymous password
  "apt_get_ftp_2.0@pld.linux.user" instead "apt_get_ftp_2.0@conectiva.linux.user".

Revision 1.28  2001/04/18 22:48:28  misiek
- don't process Requires when checking package version (by popular demand)
- release 3

Revision 1.27  2001/04/12 18:50:13  kloczek
- release 2:
- added libapt-pkg-static to Obsoletes for devel,
- added rpm-devel to Requires list for devel.

Revision 1.26  2001/04/03 10:28:45  kloczek
- release 1.

Revision 1.25  2001/03/25 08:53:47  misiek
38

Revision 1.24  2001/02/26 18:43:17  wiget
provide example sources.list with PLD sites; release 0.2

Revision 1.23  2001/02/26 17:58:24  misiek
use external rpmpriorities

Revision 1.22  2001/02/25 14:30:25  misiek
small fix

Revision 1.21  2001/02/25 14:18:03  misiek
ver 37. stb

Revision 1.20  2001/02/19 16:29:33  wiget
upgraded to cnc36, removed libapt-* subpackages (as is in original spec)

Revision 1.19  2001/02/16 12:12:28  misiek
35. not ready yet

Revision 1.18  2001/01/26 15:56:01  wiget
0.3.19cnc33 and Requires gnupg

Revision 1.17  2000/12/17 00:24:38  areq
- updated to 0.3.19cnc27

Revision 1.16  2000/12/08 14:24:25  wiget
fix Requires in devel subpackage; fix installing libapt-pkg.so; fix %%post/%%postun scripts; fix files in libapt-pkg subpackage; Release 2

Revision 1.15  2000/12/04 18:51:55  wiget
fix attr to %%{_libdir}/apt/*

Revision 1.14  2000/12/04 18:43:27  wiget
fix many typos

Revision 1.13  2000/11/16 08:38:43  kloczek
- added Source url,
- poit URL to apt-howto page.

Revision 1.12  2000/11/16 08:21:20  kloczek
- more simplifications.

Revision 1.11  2000/11/16 08:13:08  kloczek
- simplifications in %%install,
- cut %%changelog,
- few cosmetics and reorders in %packages headers.

Revision 1.10  2000/11/13 22:43:58  misiek
no longer depend on db1

Revision 1.9  2000/11/06 18:01:55  alchemyx
- added/changed BuildRequires
- gzipping more docs
- fixed docs files list (so *.gz are included; README.make removed)

Revision 1.8  2000/11/05 21:37:32  alchemyx
- packages reordered in spec

Revision 1.7  2000/11/05 21:04:55  alchemyx
- removed COPYING* files
- removed with-cpus - it is autodetected

Revision 1.6  2000/11/05 20:52:38  alchemyx
- removed hashed lines
- some layout changed
- gzipping part of docs
- BTW: last time I cut some of changelog

Revision 1.5  2000/11/05 20:16:47  alchemyx
- /usr/var moved to /var
- static package removed (*.a file is not generated?)
- additional documentation moved to -devel
- apt library splitted out from main apt package
- some cosmetics in layout
- polish descriptions changed a little bit
- still some work to do

Revision 1.4  2000/11/05 10:29:22  alchemyx
- removed empty Group tag

Revision 1.3  2000/11/04 13:57:13  misiek
updated; someone want's to finish it?

Based on Conectiva spec file.
